aeson-2.2.1.0: Fast JSON parsing and encoding

Safe Haskell | None
Language | Haskell2010

Data.Aeson.QQ.Simple

Description

Like `Data.Aeson.QQ` but without interpolation.

Synopsis

- aesonQQ :: QuasiQuoter

# Documentation

aesonQQ :: QuasiQuoter #

Converts a string representation of a JSON value into `Value` at compile-time.

    {-# LANGUAGE QuasiQuotes #-}

    import Data.Aeson (Value)
    import Data.Aeson.QQ.Simple

    joe :: Value
    joe = [aesonQQ|{ "name": "Joe", "age": 12 }|]